Skip to main content
GET
/
v1
/
bot
/
workflow
/
read
Get Workflow
curl --request GET \
  --url https://api.boostgpt.co/v1/bot/workflow/read \
  --header 'Authorization: Bearer <token>'
{
  "workflow": {
    "uuid": "<string>",
    "name": "<string>",
    "description": "<string>",
    "trigger_type": "<string>",
    "trigger_event": "<string>",
    "trigger_config": {},
    "conditions": [
      {}
    ],
    "actions": [
      {}
    ],
    "is_active": true,
    "status": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API key

Query Parameters

project_id
string
required

Project ID

bot_id
string
required

Agent ID

workflow_id
string
required

Workflow ID

Response

Success

workflow
object